@echo off

SET HWID= "PCI\VEN_10EC*"

net stop DashClientService
IF %ERRORLEVEL% EQU 0 goto Dash
goto Normal

:Dash
RTNicPgW64.exe /wpgioctl /efuse %1 %2 %3 %4
IF %ERRORLEVEL% EQU 1 goto Fail
REM devcon64.exe /disable =NET %HWID%
REM devcon64.exe /enable =NET %HWID%

net start DashClientService
goto end

:Normal
echo Normal
RTNicPgW64.exe /wpgioctl /efuse %1 %2 %3 %4
IF %ERRORLEVEL% EQU 1 goto Fail
REM devcon64.exe /disable =NET %HWID%
REM devcon64.exe /enable =NET %HWID%
goto end

:Fail
pause
goto Fail

:end
